Open CASCADE Technology: IGESSelect_RebuildDrawings Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESSelect_RebuildDrawings Class Reference

Rebuilds Drawings which were bypassed to produce new models. If a set of entities, all put into a same IGESModel, were attached to a same Drawing in the starting Model, this Modifier rebuilds the original Drawing, but only with the transferred entities. This includes that all its views are kept too, but empty; and annotations are not kept. Drawing Name is renewed. More...

`#include <IGESSelect_RebuildDrawings.hxx>`

Inheritance diagram for IGESSelect_RebuildDrawings:
[legend]

## Public Member Functions
| IGESSelect_RebuildDrawings ()
| Creates an RebuildDrawings, which uses the system Date. More...
void | Performing (IFSelect_ContextModif &ctx, const Handle< IGESData_IGESModel > &target, Interface_CopyTool &TC) const
| Specific action : Rebuilds the original Drawings. More...
TCollection_AsciiString | Label () const
| Returns a text which is "Rebuild Drawings". More...
Public Member Functions inherited from IGESSelect_ModelModifier
void | Perform (IFSelect_ContextModif &ctx, const Handle< Interface_InterfaceModel > &target, const Handle< Interface_Protocol > &protocol, Interface_CopyTool &TC) const
| This deferred method defines the action specific to each class of Modifier. It is called by a ModelCopier, once the Model generated and filled. ModelCopier has already checked the criteria (Dispatch, Model Rank, Selection) before calling it. More...
virtual void | PerformProtocol (IFSelect_ContextModif &ctx, const Handle< IGESData_IGESModel > &target, const Handle< IGESData_Protocol > &proto, Interface_CopyTool &TC) const
Public Member Functions inherited from IFSelect_GeneralModifier
Standard_Boolean | MayChangeGraph () const
| Returns True if this modifier may change the graph of dependences (aknowledged at creation time) More...
void | SetDispatch (const Handle< IFSelect_Dispatch > &disp)
| Attaches to a Dispatch. If <disp> is Null, Resets it (to apply the Modifier on every Dispatch) More...
Handle< IFSelect_Dispatch > | Dispatch () const
| Returns the Dispatch to be matched, Null if not set. More...
Standard_Boolean | Applies (const Handle< IFSelect_Dispatch > &disp) const
| Returns True if a Model obtained from the Dispatch <disp> is to be treated (apart from the Selection criterium) If Dispatch(me) is Null, returns True. Else, checks <disp> More...
void | SetSelection (const Handle< IFSelect_Selection > &sel)
| Sets a Selection : a Model is treated if it contains one or more Entities designated by the Selection. More...
void | ResetSelection ()
| Resets the Selection : this criterium is not longer active. More...
Standard_Boolean | HasSelection () const
| Returns True if a Selection is set as an additionnal criterium. More...
Handle< IFSelect_Selection > | Selection () const
| Returns the Selection, or a Null Handle if not set. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from IGESSelect_ModelModifier
| IGESSelect_ModelModifier (const Standard_Boolean maychangegraph)
Protected Member Functions inherited from IFSelect_Modifier
| IFSelect_Modifier (const Standard_Boolean maychangegraph)
| Calls inherited Initialize, transmits to it the information <maychangegraph> More...
Protected Member Functions inherited from IFSelect_GeneralModifier
| IFSelect_GeneralModifier (const Standard_Boolean maychangegraph)
| Sets the Modifier criteria to default Values (i.e. "always applies") <maychangegraph> must be provided at creation time, to : More...

## Detailed Description

Rebuilds Drawings which were bypassed to produce new models. If a set of entities, all put into a same IGESModel, were attached to a same Drawing in the starting Model, this Modifier rebuilds the original Drawing, but only with the transferred entities. This includes that all its views are kept too, but empty; and annotations are not kept. Drawing Name is renewed.

If the Input Selection is present, tries to rebuild Drawings only for the selected entities. Else, tries to rebuild Drawings for all the transferred entities.

## Constructor & Destructor Documentation

IGESSelect_RebuildDrawings::IGESSelect_RebuildDrawings | ( |  | ) |

Creates an RebuildDrawings, which uses the system Date.

## Member Function Documentation

TCollection_AsciiString IGESSelect_RebuildDrawings::Label | ( |  | ) | const
| virtual

Returns a text which is "Rebuild Drawings".

Implements IFSelect_GeneralModifier.

void IGESSelect_RebuildDrawings::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle< IGESData_IGESModel > & | target,
|  | Interface_CopyTool & | TC
| ) |  | const
| virtual

Specific action : Rebuilds the original Drawings.

Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_RebuildDrawings.hxx